<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

/*** Define Horizon Theme constants ***/

if( !defined( 'FASTWP_HORIZON_FRAMEWORK_DIR' ) ) {
    define( 'FASTWP_HORIZON_FRAMEWORK_DIR', 'fastwp-framework' );
}

if( !defined( 'FASTWP_HORIZON_DIR' ) ) {
    define( 'FASTWP_HORIZON_DIR', get_template_directory() );
}

if( !defined( 'FASTWP_HORIZON_URI' ) ) {
    define( 'FASTWP_HORIZON_URI', get_template_directory_uri() );
}

if( !defined( 'FASTWP_HORIZON_CHILD_DIR' ) ) {
    define( 'FASTWP_HORIZON_CHILD_DIR', get_stylesheet_directory() );
}

if( !defined( 'FASTWP_HORIZON_CHILD_URI' ) ) {
    define( 'FASTWP_HORIZON_CHILD_URI', get_stylesheet_directory_uri() );
}

if( !defined( 'FASTWP_HORIZON_CHILD_IS_ACTIVE' ) ) {
    define( 'FASTWP_HORIZON_CHILD_IS_ACTIVE', true );
}

/*** Autoload ***/

require_once FASTWP_HORIZON_DIR . '/' . FASTWP_HORIZON_FRAMEWORK_DIR . '/autoload.php';

/*** List of the styles used in Horizon Child Theme ***/

fastwp_horizon_core\main::add_styles( FASTWP_HORIZON_CHILD_URI . '/assets/css',
    array(
        'main'
    ),
    false, '', '-child'
);

/*** List of the javascript files used in Horizon Child Theme ***/

fastwp_horizon_core\main::add_scripts( FASTWP_HORIZON_CHILD_URI  . '/assets/js',
    array(
        'main'
    ),
    '-child'
);

/*** Child Theme translate files ***/

function fastwp_horizon_child_textdomain() {
    load_child_theme_textdomain( 'horizon-child', get_stylesheet_directory() . '/language' );
}

add_action( 'after_setup_theme', 'fastwp_horizon_child_textdomain' );

?>
