<div class="section pb-0">
    <div class="container">
        <div class="row">
            <?php $fastwp_horizon_images = get_post_meta( get_the_ID(), 'project_gallery', true ); ?>
            <div class="column col-<?php echo ( !empty( $fastwp_horizon_images ) ? 8 : 12 ); ?>">
                <?php $fastwp_horizon_categories = get_the_terms( get_the_ID(), 'portfolio-category' );
                if( !empty( $fastwp_horizon_categories ) ) {
                    $fastwp_horizon_cats_arr = array();
                    foreach( $fastwp_horizon_categories as $fastwp_horizon_category ) {
                        $fastwp_horizon_cats_arr[] = $fastwp_horizon_category->name;
                    }
                    echo '<span class="project-categorie">' . implode( ', ', $fastwp_horizon_cats_arr ) . '</span>';
                } ?>
            	<h1><?php the_title(); ?></h1>
            	<hr>
            	<?php the_content(); ?>
            </div>

            <?php
            $fastwp_horizon_client = get_post_meta( get_the_ID(), 'project_client', true );
            $fastwp_horizon_date   = get_post_meta( get_the_ID(), 'project_date', true );
            $fastwp_horizon_role   = get_post_meta( get_the_ID(), 'project_role', true );
            $fastwp_horizon_aurl   = get_post_meta( get_the_ID(), 'project_author_url', true );

            if( !empty( $fastwp_horizon_client ) || !empty( $fastwp_horizon_date ) || !empty( $fastwp_horizon_role ) || !empty( $fastwp_horizon_aurl ) ) { ?>

            <div class="column col-4">
                <?php echo '<h6>' . esc_html__( 'Project Info', 'horizon' ) . '</h6>
            	<div class="project-info">';

                if( !empty( $fastwp_horizon_client ) ) {
            		echo '<div class="project-info-item">
            			<span class="project-info-item-title">' . esc_html__( 'Client', 'horizon' ) . '</span>
            			<p>' . esc_html( $fastwp_horizon_client ) . '</p>
            		</div>';
                }
                if( !empty( $fastwp_horizon_date ) ) {
            		echo '<div class="project-info-item">
            			<span class="project-info-item-title">' . esc_html__( 'Date', 'horizon' ) . '</span>
            			<p>' . esc_html( $fastwp_horizon_date ) . '</p>
            		</div>';
                }
                if( !empty( $fastwp_horizon_date ) ) {
            		echo '<div class="project-info-item">
            			<span class="project-info-item-title">' . esc_html__( 'Role', 'horizon' ) . '</span>
            			<p>' . esc_html( $fastwp_horizon_date ) . '</p>
            		</div>';
                }
                if( !empty( $fastwp_horizon_aurl ) ) {
                    $fastwp_horizon_aurl = explode( '|', $fastwp_horizon_aurl );
            		echo '<div class="project-info-item">
            			<span class="project-info-item-title">' . esc_html__( 'View site', 'horizon' ) . '</span>
            			<p><a href="' . esc_url( $fastwp_horizon_aurl[0] ) . '" class="link">' . ( isset( $fastwp_horizon_aurl[1] ) ? esc_html( $fastwp_horizon_aurl[1] ) : esc_html( $fastwp_horizon_aurl[0] ) ) . '</a></p>
            		</div>';
                }
        	    echo '</div>'; ?>

                <?php if( function_exists( 'fastwp_horizon_share_links' ) ) fastwp_horizon_share_links( '<div class="gap-25"></div>' ); ?>
            </div>
            <?php } ?>
        </div>

        <?php if( !empty( $fastwp_horizon_images ) ) {
        $fastwp_horizon_gallery_images = array();
        foreach( $fastwp_horizon_images as $fastwp_horizon_image ) {
            if( isset( $fastwp_horizon_image['image'] ) )
            $fastwp_horizon_gallery_images[] = '<div class="column col-6">
                                                <a href="' . esc_url( $fastwp_horizon_image['image'] ) . '">
                                                    <img src="' . esc_url( $fastwp_horizon_image['image'] ) . '" alt="' . esc_attr( get_post_meta( $fastwp_horizon_image['attachment_id'], '_wp_attachment_image_alt', true ) ) . '" />
                                                </a>
                                            </div>';
        }
        ?>
    	<div class="row magnific-popup" data-gallery="true">
            <?php echo implode( '', $fastwp_horizon_gallery_images ); ?>
    	</div>
        <?php } ?>

        <?php if( ( $fastwp_horizon_post_nav = fastwp_horizon_theme\main::single_post_navigation( true ) ) ) { ?>
        <div class="project-navigation clear">
            <div class="float-left nav prev">
                <?php if( isset( $fastwp_horizon_post_nav['previous'] ) ) { ?>
                    <a class="prev page-numbers" href="<?php echo get_the_permalink( $fastwp_horizon_post_nav['previous']['postID'] ); ?>"><div class="title"><span><?php esc_html_e( 'Prev Project', 'horizon' ); ?></span><?php echo esc_html( $fastwp_horizon_post_nav['previous']['title'] ); ?></div></a>
                <?php } ?>
            </div>
            <div class="float-right nav next">
                <?php if( isset( $fastwp_horizon_post_nav['next'] ) ) { ?>
                    <a class="next page-numbers" href="<?php echo get_the_permalink( $fastwp_horizon_post_nav['next']['postID'] ); ?>"><div class="title"><span><?php esc_html_e( 'Next Project', 'horizon' ); ?></span><?php echo esc_html( $fastwp_horizon_post_nav['next']['title'] ); ?></div></a>
                <?php } ?>
            </div>
        </div>
        <?php } ?>
    </div>
</div>