<?php

namespace fastwp_horizon_widgets;

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

class Categories extends \WP_Widget {

	function __construct() {
	    // widget title
	    parent::__construct( 'fastwp-categories', esc_html__( 'Categories (FastWP)', 'horizon' ) );

        // register widget (do not modify)
        \fastwp_horizon_core\main::add_widget( __CLASS__ );
	}

    function widget( $args, $instance ) {
        $title = apply_filters( 'widget_title', $instance['title'] );

        echo ' ' . $args['before_widget'];    

        echo '<div class="widget-posts">';
        if( !empty( $title ) ) {
            echo '<h3 class="widget-title">' . esc_html( $title ) . '</h3>';
        }

        $fastwp_horizon_categories = get_categories();

        if( !empty( $fastwp_horizon_categories ) ) { ?>
        <ul class="categories-list">
        <?php foreach( $fastwp_horizon_categories as $fastwp_horizon_category ) { ?>
    		<li> <?php
    			echo '<a href="' .  get_category_link( $fastwp_horizon_category ) . '">' . $fastwp_horizon_category->name . '</a>
    			<span>' . $fastwp_horizon_category->category_count . '</span>'; ?>
        	</li>
        <?php } ?>
        </ul>
        <?php wp_reset_postdata();
        }

        echo '</div>' . $args['after_widget'];
    }

    function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title']  = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        return $instance;
	}

	function form( $instance ) {
        $title  = isset( $instance['title'] ) ? $instance[ 'title' ] : esc_html__( 'Popular Posts', 'horizon' );

        echo '<p>
        <label for="' . $this->get_field_id( 'title' ) . '">' . esc_html__( 'Title:', 'horizon' ) . '</label>
        <input class="widefat" id="' . $this->get_field_id( 'title' ) . '>" name="' . $this->get_field_name( 'title' ) . '" type="text" value="' . esc_attr( $title ) . '" />
        </p>';
	}

}

?>