<?php

namespace fastwp_horizon_widgets;

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

class Twitter extends \WP_Widget {

	function __construct() {
	    // widget title
	    parent::__construct( 'fastwp-twitter', esc_html__( 'Twitter Posts (FastWP)', 'horizon' ) );

        // register widget (do not modify)
        \fastwp_horizon_core\main::add_widget( __CLASS__ );
	}

    function widget( $args, $instance ) {
        if( class_exists( 'Fastwp_Twitter_Client' ) ) {
        $title = apply_filters( 'widget_title', $instance['title'] );

        echo ' ' . $args['before_widget'];    

        echo '<div>';

        if( !empty( $title ) ) {
            echo '<h3 class="widget-title">' . esc_html( $title ) . '</h3>';
        }

        $horizon_twitter_client = new \Fastwp_Twitter_Client();
        $horizon_timeline = $horizon_twitter_client->home_timeline( $instance['limit'] );
        if( empty( $horizon_timeline->errors ) ) {
            echo '<ul class="tweet-list">';
            foreach( $horizon_timeline as $horizon_timeline_post ) {
                echo '<li>
                    <p>' . $horizon_timeline_post->text . '</p>
                    <span>' . human_time_diff( strtotime( $horizon_timeline_post->created_at ), current_time( 'timestamp' ) )  . '</span>
                </li>'; 
            } 
            echo '</ul>';
        }

        echo '</div>' . $args['after_widget'];
        }
    }

    function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title']  = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['limit']  = ( ! empty( $new_instance['limit'] ) ) ? $new_instance['limit'] : 2;
        return $instance;
	}

	function form( $instance ) {
        $title  = isset( $instance['title'] ) ? $instance[ 'title' ] : esc_html__( 'Title', 'horizon' );
        $limit  = isset( $instance['limit'] ) ? $instance[ 'limit' ] : 2;

        echo '<p>
        <label for="' . $this->get_field_id( 'title' ) . '">' . esc_html__( 'Title:', 'horizon' ) . '</label>
        <input class="widefat" id="' . $this->get_field_id( 'title' ) . '>" name="' . $this->get_field_name( 'title' ) . '" type="text" value="' . esc_attr( $title ) . '" />
        </p>';
        echo '<p>
        <label for="' . $this->get_field_id( 'limit' ) . '">' . esc_html__( 'Limit:', 'horizon' ) . '</label>
        <input class="widefat" id="' . $this->get_field_id( 'limit' ) . '>" name="' . $this->get_field_name( 'limit' ) . '" type="number" value="' . esc_attr( $limit ) . '" />
        </p>';
	}

}

?>