<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

if( fastwp_horizon_theme\utils::get_option( 'footer_subscribe_form', false ) ) { ?>

<section class="form-sec footer-sec <?php echo ( fastwp_horizon_theme\utils::get_option( 'fwp_blog_type' ) == 'grid-bg' ? 'p-70 pb-0' : 'mgt-70' ); ?>">
    <div class="container">
        <div class="form-sec-details prl-100">
        	<div class="row">
        		<div class="col-lg-6">
        			<div class="subscribe-text">
        				<h3><?php echo esc_html( fastwp_horizon_theme\utils::get_option( 'footer_subscribe_form_title', esc_html__( 'Subscribe', 'horizon' ) ) ); ?></h3>
        				<p><?php echo esc_html( fastwp_horizon_theme\utils::get_option( 'footer_subscribe_form_subtitle', esc_html__( 'Stay up date with out latest news, tip and trick... and more interesting things', 'horizon' ) ) ); ?></p>
        			</div>
        		</div>
        		<div class="col-lg-6">
        			<div class="subscribe-form">
        				<?php echo do_shortcode( fastwp_horizon_theme\utils::get_option( 'footer_subscribe_form_shortcode' ) ); ?>
        			</div>
        		</div>
        	</div>
        </div>
    </div>
</section>

<?php }

if( fastwp_horizon_theme\utils::get_option( 'footer_style_type' ) == 'style2' ) { ?>

<footer>
    <div class="container">
        <div class="footer-content">
        	<div class="row">
        		<div class="col-lg-4 col-md-12">
                    <div class="widget widget-about">
                        <?php $fastwp_horizon_about_title = fastwp_horizon_theme\utils::get_option( 'footer_about_title' ); ?>
        			    <h3 class="widget-title"><?php echo esc_html( $fastwp_horizon_about_title ); ?></h3>
        				<p><?php echo fastwp_horizon_theme\utils::get_option( 'footer_about_text' ); ?></p>
                        <?php $fastwp_horizon_signature = fastwp_horizon_theme\utils::get_option( 'footer_about_image' );
                        if( !empty( $fastwp_horizon_signature['url'] ) ) {
                            echo '<img src="' . esc_url( $fastwp_horizon_signature['url'] ) . '" class="signature" alt="' . esc_attr( $fastwp_horizon_about_title ) . '" />';
                        } ?>
                    </div>
        		</div>
        		<div class="col-lg-4 col-md-6">
        			<div class="widget widget-tags">
                        <?php $fastwp_horizon_tags = get_tags( array(
                            'taxonomy'  => 'post_tag',
                            'orderby'   => 'count',
                            'order'     => 'DESC',
                            'number'    => fastwp_horizon_theme\utils::get_option( 'footer_count_tags', 10 ),
                            'hide_empty'=> false,
                        ) );
                        if( !empty( $fastwp_horizon_tags ) ) {
                            echo '<h3 class="widget-title">' . esc_html__( 'Popular tags', 'horizon' ) . '</h3>';
                            echo '<ul class="tags-list">';
                            foreach( $fastwp_horizon_tags as $fastwp_horizon_tag ) {
                                echo '<li><a href="' . get_tag_link( $fastwp_horizon_tag->term_id ) . '">' . esc_html( $fastwp_horizon_tag->name ) . '</a></li>';
                            }
                            echo '</ul>';
                        } ?>
        			</div>
        		</div>
        		<div class="col-lg-4 col-md-6">
        			<div class="widget widget-posts">
                        <?php $fastwp_horizon_trending_posts = fastwp_horizon_theme\utils::get_option( 'footer_featured_posts' );
                        if( !empty( $fastwp_horizon_trending_posts ) ) {
                            $fastwp_horizon_posts = new WP_Query( array( 'posts_per_page' => -1, 'ignore_sticky_posts' => true, 'post__in' => $fastwp_horizon_trending_posts ) );
                            if( $fastwp_horizon_posts->have_posts() ) {
                            echo '<h3 class="widget-title">' . esc_html__( 'Featured posts', 'horizon' ) . '</h3>';
        				    echo '<ul class="small-posts">';
                            while( $fastwp_horizon_posts->have_posts() ) {
                            $fastwp_horizon_posts->the_post(); ?>
        					<li class="small-post">
        					    <?php if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
                                <img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" />
                                <?php } ?>
        						<div class="small-post-info">
        							<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        						</div>
        					</li>
                            <?php }
                            wp_reset_postdata();
                            echo '</ul>';
                            }
                        } ?>
        			</div>
        		</div>
        	</div>
        </div>
        <div class="bottom-strip mt90">
        	<a href="#" class="scrollTop"><i class="la la-long-arrow-up"></i></a>
        	<?php echo fastwp_horizon_theme\markup::the_menu( 'footer_links', 'menu footer-menu', true ); ?>
        </div>
    </div>
</footer>

<?php } else if( fastwp_horizon_theme\utils::get_option( 'footer_style_type' ) == 'style1' ) { ?>

<footer>
    <div class="container">
        <div class="footer-content">
        	<div class="row">
        		<div class="col-lg-4 col-md-12">
                    <div class="widget widget-posts-footer">
        			    <h3 class="widget-title"><?php esc_html_e( 'Recent Posts', 'horizon' ); ?></h3>
                        <?php $fastwp_horizon_posts = new WP_Query( [ 'posts_per_page' => 2, 'ignore_sticky_posts' => true ] );
                        if( $fastwp_horizon_posts->have_posts() ) {
                            while( $fastwp_horizon_posts->have_posts() ) {
                                $fastwp_horizon_posts->the_post();
                                echo '<div class="widget-post clearfix">
                                <div class="post-date">
                                <span class="month">' . get_the_date( 'M' ) . '</span>
                                <span class="day">' . get_the_date( 'd' ) . '</span>
                                </div>';
                                echo '<h3 class="post-title"><a href="' . get_the_permalink() . '">' . get_the_title() . '</a></h3>';
                                echo get_avatar( get_the_author_meta( 'ID' ), 30 );
                                echo '<a href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '" class="author-link">' . get_the_author() . '</a>
                                </div>';
                                wp_reset_postdata();
                            }
                        }  ?>
                    </div>
        		</div>
        		<div class="col-lg-4 col-md-5">
        			<div class="widget widget-tags">
                        <?php $fastwp_horizon_tags = get_tags( array(
                            'taxonomy'  => 'post_tag',
                            'orderby'   => 'count',
                            'order'     => 'DESC',
                            'number'    => fastwp_horizon_theme\utils::get_option( 'footer_count_tags', 10 ),
                            'hide_empty'=> false,
                        ) );
                        if( !empty( $fastwp_horizon_tags ) ) {
                            echo '<h3 class="widget-title">' . esc_html__( 'Popular tags', 'horizon' ) . '</h3>';
                            echo '<ul class="tags-list">';
                            foreach( $fastwp_horizon_tags as $fastwp_horizon_tag ) {
                                echo '<li><a href="' . get_tag_link( $fastwp_horizon_tag->term_id ) . '">' . esc_html( $fastwp_horizon_tag->name ) . ' (' . $fastwp_horizon_tag->count . ')</a></li>';
                            }
                            echo '</ul>';
                        } ?>
        			</div>
        		</div>
        		<div class="col-lg-4 col-md-6">
        			<div class="widget widget-instagram">
                        <?php if( class_exists( 'Fastwp_Instagram_Client' ) ) {
                            echo '<h3 class="widget-title">' . esc_html__( 'Instagram', 'horizon' ) . '</h3>';
                            $media = new \Fastwp_Instagram_Client;
                            $media->setToken( get_option( 'horizon_access_token' ) );
                            $media_photos = $media->getMedia( 6 );
                            $media_error = $media->getError();

                            if( empty( $media_error ) && is_array( $media_photos->data ) ) {
                                echo '<ul class="insta-pics">';
                                foreach( $media_photos->data as $photo ) {
                                    echo '<li><a href="' . esc_url( $photo->link ) . '"><img src="' .  $photo->images->standard_resolution->url . '" alt="' . esc_attr__( 'Instagram image', 'horizon' ) . '" /></a></li>';
                                }
                                echo '</ul>';
                            }
                        } ?>
        			</div>
        		</div>
        	</div>
        </div>
        <div class="bottom-strip bottom-strip-style2 mt90">
            <p><?php echo esc_html( fastwp_horizon_theme\utils::get_option( 'footer_copyright_text' ) ); ?></p>
        	<?php echo fastwp_horizon_theme\markup::the_menu( 'footer_links', 'menu footer-menu', true ); ?>
        </div>
    </div>
    <a href="#" class="scrollTop"><i class="la la-long-arrow-up"></i></a>
</footer>

<?php } ?>

</div>

<?php wp_footer(); ?>

</body>
</html>
