<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

/*** Body classes ***/
fastwp_horizon_theme\options::get_body_class();

?>

<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1" />
    <meta name="description" content="<?php bloginfo('description'); ?>">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php if( !is_single() && fastwp_horizon_theme\utils::get_option( 'show_preloader', true ) ) { ?>

<div class="page-loading">
    <div class="thecube">
        <div class="cube c1"></div>
        <div class="cube c2"></div>
        <div class="cube c4"></div>
        <div class="cube c3"></div>
    </div>
</div>

<?php } ?>

<div class="wrapper">

<?php if( ( $fastwp_horizon_bheader_type = fastwp_horizon_theme\utils::get_option( 'fwp_before_header' ) ) ) {
    if( $fastwp_horizon_bheader_type === 'ads' ) {
        echo '<section class="advertise-sec text-center">' . fastwp_horizon_theme\utils::get_option( 'fwp_header_ads' ) . '</section>';
    } else if( $fastwp_horizon_bheader_type === 'slider' ) {
        $fastwp_horizon_slider_posts = fastwp_horizon_theme\utils::get_option( 'fwp_blog_header_slider' );
        if( !empty( $fastwp_horizon_slider_posts ) ) {
            echo '<section class="p-70 post-carousel">
			<div class="blog-items style-3 carousel2">';
            $fastwp_horizon_posts = new WP_Query( [ 'posts_per_page' => -1, 'ignore_sticky_posts' => 1, 'post__in' => $fastwp_horizon_slider_posts ] );
            if( $fastwp_horizon_posts->have_posts() ) {
                while( $fastwp_horizon_posts->have_posts() ) {
                    $fastwp_horizon_posts->the_post();
                    echo '<div class="post bg-sec">
        					<div class="post-img">';
                            if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) {
                                echo '<img src="' . get_the_post_thumbnail_url() . '" alt="' . the_title_attribute( [ 'echo' => false ] ) . '" />';
                            }
                            echo fastwp_horizon_theme\markup::the_category( 'catg-name clr1' );
        					echo '</div>
        					<div class="post-info">';
                                if( ! (boolean) fastwp_horizon_theme\utils::get_option( 'fwp_blog_date_meta' ) ) {
                                    echo '<span class="post-catg-name">' . get_the_date() .  '</span>';
                                }
        						echo '<h3 class="post-title"><a href="' . get_the_permalink() . '">' . get_the_title() . '</a></h3>
        					</div>
        				</div>';
                    wp_reset_postdata();
                }
            }
            echo '</div>
            </section>';
        }
    }
} ?>

<header>
    <div class="container">
        <div class="header-content">
        	<div class="row">
        		<div class="col-lg-2 col-md-4 col-sm-4 col-6">
        			<div class="logo">
                    <?php if( ( $fastwp_horizon_logo = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ) , 'full' ) ) && !empty( $fastwp_horizon_logo[0] ) ) { ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="main-logo"><img src="<?php echo esc_url( $fastwp_horizon_logo[0] ); ?>" alt="<?php echo esc_attr__( 'Home', 'horizon' ); ?>"></a>
                    <?php } else {
                        $fastwp_logo_text = fastwp_horizon_theme\utils::get_option( 'custom_logo_text' );
                        echo '<a href="' . esc_url( home_url( '/' ) ) . '" class="main-logo logo-text">' . ( !empty( $fastwp_logo_text ) ? esc_html( $fastwp_logo_text ) : get_bloginfo( 'name' ) ) . '</a>';
                    } ?>
        			</div>
        		</div>
                <?php $fastwp_horizon_sp = fastwp_horizon_theme\utils::get_option( 'header_links' );
                $fastwp_horizon_show_social_icons = is_array( $fastwp_horizon_sp ) && !empty( $fastwp_horizon_sp );
                $fastwp_horizon_mobile_menu = has_nav_menu( 'mobile-menu' );
                if( has_nav_menu( 'second-menu' ) ) {
                    $fastwp_horizon_mobile_menu = true;
                } ?>
        		<div class="col-lg-<?php echo ( ( $fastwp_horizon_show_social_icons ? 7 : 10 ) - (int) $fastwp_horizon_mobile_menu ); ?> dis-none">
        			<nav>
        				<?php echo fastwp_horizon_theme\markup::the_menu(); ?>
        			</nav>
        		</div>
                <?php if( $fastwp_horizon_show_social_icons ) { ?>
                <div class="col-lg-3 col-md-4 col-sm-4 dis-so-none">
                <ul class="social-links header-social-links">
                    <?php foreach( $fastwp_horizon_sp as $fastwp_horizon_p ) {
                        $fastwp_horizon_sp_exp = array_map( 'trim', explode( '|', $fastwp_horizon_p ) );
                        if( isset( $fastwp_horizon_sp_exp[0] ) && isset( $fastwp_horizon_sp_exp[1] ) ) {
                            echo '<li><a href="' . esc_url( $fastwp_horizon_sp_exp[1] ) . '"><i class="' . esc_attr( $fastwp_horizon_sp_exp[0] ) . '"></i></a></li>';
                        }
                    } ?>
                </ul>
                </div>
                <?php }
                if( $fastwp_horizon_mobile_menu ) { ?>
        		<div class="col-lg-1 col-md-4 col-sm-4 col-6<?php echo ( !has_nav_menu( 'second-menu' ) ? ' d-block d-md-none' : '' ); ?>">
        			<div class="menu-cont">
        				<div class="menu-btn">
        					<a href="#">
        						<span class="bar1"></span>
        						<span class="bar2"></span>
        						<span class="bar3"></span>
        					</a>
        				</div>
        			</div>
        		</div>
                <?php } ?>
        	</div>
        </div>
    </div>
</header>

<div class="responsive-menu">
    <div class="container">
        <div class="menu-content">
            <?php if( has_nav_menu( 'second-menu' ) ) { ?>
            <h2 class="d-none d-md-block mb80"><?php esc_html_e( 'Quick Menu', 'horizon' ); ?></h2>
            <?php } ?>
        	<?php echo fastwp_horizon_theme\markup::the_menu( 'mobile-menu', 'main-menu' ); ?>
            <?php echo fastwp_horizon_theme\markup::the_menu( 'second-menu', 'secnd-menu', true ); ?>
        	<address class="our-addrs-info">
                <?php $fastwp_horizon_address = fastwp_horizon_theme\utils::get_option( 'menu_contact_address' );
                if( !empty( $fastwp_horizon_address ) ) {
            		echo '<ul class="contact_info">';
                    foreach( explode( ',', $fastwp_horizon_address ) as $fastwp_horizon_address_line ) {
                        echo '<li>' . esc_html( $fastwp_horizon_address_line ) . '</li>';
                    }
            		echo '</ul>';
                }

                $fastwp_horizon_email = fastwp_horizon_theme\utils::get_option( 'menu_contact_email' );
                $fastwp_horizon_phone = fastwp_horizon_theme\utils::get_option( 'menu_contact_phone' );
                if( !empty( $fastwp_horizon_email ) || !empty( $fastwp_horizon_phone ) ) {
                    echo '<ul class="cont-info">';
                    if( !empty( $fastwp_horizon_email ) ) echo '<li><a href="mailto:' . esc_html( $fastwp_horizon_email ) . '">' . esc_html( $fastwp_horizon_email ) . '</a></li>';
                    if( !empty( $fastwp_horizon_phone ) ) echo '<li>' . esc_html( $fastwp_horizon_phone ) . '</li>';
                    echo '</ul>';
                } ?>
        	</address>
        	<div class="widget widget-tweets">
                <?php if( class_exists( 'Fastwp_Twitter_Client' ) ) {
                $horizon_twitter_client = new Fastwp_Twitter_Client();
                $horizon_timeline = $horizon_twitter_client->home_timeline();
                if( empty( $horizon_timeline->errors ) ) { ?>
        		<ul class="tweet-list">
                    <?php foreach( $horizon_timeline as $horizon_timeline_post ) {
        			echo '<li>
        				<p>' . $horizon_timeline_post->text . '</p>
        				<span>' . human_time_diff( strtotime( $horizon_timeline_post->created_at ), current_time( 'timestamp' ) )  . '</span>
                    </li>';
                    } ?>
                </ul>
                <?php } ?>
                <?php } ?>
        	</div>
        </div>
    </div>
</div>