<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

get_header();

if( ( $fastwp_horizon_posts_type = fastwp_horizon_theme\utils::get_option( 'fwp_featured_posts_type' ) ) ) {
    $fastwp_horizon_trending_posts = fastwp_horizon_theme\utils::get_option( 'fwp_blog_featured_posts' );

    $fastwp_horizon_hero_posts = [];
    if( !empty( $fastwp_horizon_trending_posts ) ) {
        $fastwp_horizon_no_of_posts = -1;
        if( $fastwp_horizon_posts_type === 'grid' ) {
            $fastwp_horizon_no_of_posts = 3;
        } else if( $fastwp_horizon_posts_type === 'hero' ) {
            $fastwp_horizon_no_of_posts = 1;
        }
        $fastwp_horizon_posts = new WP_Query( [ 'posts_per_page' => $fastwp_horizon_no_of_posts, 'ignore_sticky_posts' => 1, 'post__in' => $fastwp_horizon_trending_posts ] );
        if( $fastwp_horizon_posts->have_posts() ) {

            while( $fastwp_horizon_posts->have_posts() ) {
            $fastwp_horizon_posts->the_post();

            if( $fastwp_horizon_posts_type === 'grid' || $fastwp_horizon_posts_type === 'slider' ) {

                $fastwp_horizon_hero_post = [ 'ID' => get_the_ID(), 'title' => get_the_title(), 'image' => '', 'permalink' => get_the_permalink(), 'title_attribute' => the_title_attribute( [ 'echo' => false ] ) ];
                if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) {
                    $fastwp_horizon_hero_post['image'] = get_the_post_thumbnail_url();
                }
                $fastwp_horizon_hero_posts[] = $fastwp_horizon_hero_post;

            } else if( $fastwp_horizon_posts_type === 'hero' ) { ?>

            <section class="sec-padding sec-rep">
    			<div class="blog-items style-2">
    				<div class="container">
    					<div class="post">
    						<div class="row">
    							<div class="col-lg-4 pr-0 pl-0">
    								<div class="post-info">
                                        <?php echo fastwp_horizon_theme\markup::the_category( 'post-catg-name' ); ?>
    									<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
    									<a href="<?php the_permalink(); ?>" class="lnk-default"><?php esc_html_e( 'continue reading', 'horizon' ); ?> <i class="fa fa-caret-right"></i></a>
    								</div>
    							</div>
    							<div class="col-lg-8 pl-0 pr-0">
    								<div class="post-img">
                                    <?php if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
                                        <img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" />
                                    <?php } ?>
    								</div>
    							</div>
    						</div>
    					</div>
    					<div class="overlay-box"></div>
    				</div>
    			</div>
    		</section>

            <?php }

             wp_reset_postdata();
            }
        }

        if( $fastwp_horizon_posts_type === 'grid' && !empty( $fastwp_horizon_hero_posts ) && is_array( $fastwp_horizon_hero_posts ) ) {
            echo '<section class="sec-padding p-70 pb-0">
    		<div class="container p-0">
    		<div class="blog-items style-3' . ( count( $fastwp_horizon_hero_posts ) == 1 ? ' box-style' : '' ) . ' st-4">';
            if( count( $fastwp_horizon_hero_posts ) > 1 ) {
            echo '<div class="row">
    		<div class="col-lg-8">';
            }
            echo '<div class="post bg-sec">
                <div class="post-img">
                	<img src="' . $fastwp_horizon_hero_posts[0]['image'] . '" alt="' . $fastwp_horizon_hero_posts[0]['title_attribute'] . '" />
                	' . fastwp_horizon_theme\markup::the_category( 'catg-name clr1', $fastwp_horizon_hero_posts[0]['ID'] ) . '
                </div>
                <div class="post-info">';
                    if( ! (boolean) fastwp_horizon_theme\utils::get_option( 'fwp_blog_date_meta' ) ) {
                        echo '<span class="post-catg-name">' . get_the_date() .  '</span>';
                    }
                	echo '<h3 class="post-title"><a href="' . $fastwp_horizon_hero_posts[0]['permalink'] . '">' . $fastwp_horizon_hero_posts[0]['title'] . '</a></h3>';
                    if( count( $fastwp_horizon_hero_posts ) == 1 ) {
                        echo '<a href="' . get_the_permalink() . '" class="lnk-default">' . esc_html__( 'continue reading ', 'horizon' ) . ' <i class="fa fa-caret-right"></i></a>';
                    }
                echo '</div>
            </div>';
            if( count( $fastwp_horizon_hero_posts ) > 1 ) {
            echo '</div>
            <div class="col-lg-4 half-2">';
            unset( $fastwp_horizon_hero_posts[0] );
            foreach( $fastwp_horizon_hero_posts as $fastwp_horizon_hero_post_k => $fastwp_horizon_hero_post ) {
                echo '<div class="post' . ( $fastwp_horizon_hero_post_k == 1 ? ' mb-20' : '' ) . '">
                        <div class="post-img">
                        	<img src="' . $fastwp_horizon_hero_post['image'] . '" alt="' . $fastwp_horizon_hero_post['title_attribute'] . '" />
                            ' . fastwp_horizon_theme\markup::the_category( 'catg-name clr1', $fastwp_horizon_hero_post['ID'] ) . '
                        </div>
                        <div class="post-info">';
                            if( ! (boolean) fastwp_horizon_theme\utils::get_option( 'fwp_blog_date_meta' ) ) {
                                echo '<span class="post-catg-name">' . get_the_date() .  '</span>';
                            }
                        	echo '<h3 class="post-title"><a href="' . $fastwp_horizon_hero_post['permalink'] . '">' . $fastwp_horizon_hero_post['title'] . '</a></h3>
                        </div>
                    </div>';
            }
            echo '</div>
            </div>';
            }
            echo '</div>
            </div>
            </section>';
        } else if( $fastwp_horizon_posts_type === 'slider' && !empty( $fastwp_horizon_hero_posts ) && is_array( $fastwp_horizon_hero_posts ) ) {
            echo '<section class="sec-padding">
            <div class="blog-items carousel">';
            foreach( $fastwp_horizon_hero_posts as $fastwp_horizon_hero_post ) {
                echo '<div class="post">
                    	<div class="post-img">
                            <img src="' . $fastwp_horizon_hero_post['image'] . '" alt="' . $fastwp_horizon_hero_post['title_attribute'] . '" />
                            ' . fastwp_horizon_theme\markup::the_category( 'catg-name', $fastwp_horizon_hero_post['ID'] ) . '
                        </div>
                    	<div class="post-info">
                    		<h3 class="post-title"><a href="' . $fastwp_horizon_hero_post['permalink'] . '">' . $fastwp_horizon_hero_post['title'] . '</a></h3>
                    	</div>
                    </div>';
            }
            echo '</div>
            </section>';
        }
    }
}

$fastwp_horizon_blog_type = fastwp_horizon_theme\utils::get_option( 'fwp_blog_type' );

$fastwp__horizon_main_class = ' pd-50';
$fastwp_horizon_bg_pb = 'pd-120';
$fastwp_horizon_search_box = fastwp_horizon_theme\utils::get_option( 'fwp_search_box' );
switch( $fastwp_horizon_search_box ) {
    case 'over':
        echo fastwp_horizon_theme\markup::search_box( 'form-sec ' .  ( $fastwp_horizon_posts_type !== 'slider' ? 'pd-50 ' : '' ) . ( $fastwp_horizon_blog_type == 'grid-bg' ? 'p-70' : 'mgb-70' ) );
    break;
    case 'before':
        $fastwp_horizon_bg_pb = 'pd-70';
        echo fastwp_horizon_theme\markup::search_box( 'form-sec style-2' . ( !in_array( $fastwp_horizon_posts_type, [ 'grid', 'slider', 'hero' ] ) ? ' pd-50' : '' ) );
    break;
}

if( in_array( $fastwp_horizon_search_box, [ 'over', 'before' ] ) && $fastwp_horizon_blog_type !== 'grid-bg' ) {
    $fastwp__horizon_main_class = '';
}

?>

<section class="<?php echo 'main-content' . $fastwp__horizon_main_class; ?>">
    <div class="custom-container">
        <?php if( $fastwp_horizon_blog_type == 'grid-bg' ) { ?>
        <div class="container p-0">
            <div class="post-items style-4 no-bg">
    		    <div class="row masonry">
                <?php get_template_part( 'loop-grid' ); ?>
                </div>
                <?php get_template_part( 'navigation' ); ?>
            </div>
        </div>
        <?php } else if( $fastwp_horizon_blog_type == 'list' ) { ?>
        <div class="<?php echo 'page-content ' .  $fastwp_horizon_bg_pb; ?>">
            <div class="row">
    			<div class="col-lg-8">
        			<div class="post-items style-3">
                    <?php get_template_part( 'loop-list' ); ?>
                    <?php get_template_part( 'navigation' ); ?>
                	</div>
                </div>
                <div class="col-lg-4 order--1">
        			<div class="sidebar style2 pr-100">
                    <?php get_template_part( 'sidebar' ); ?>
        			</div>
                </div>
            </div>
        </div>
        <?php } else { ?>
        <div class="<?php echo 'page-content ' . $fastwp_horizon_bg_pb; ?>">
            <?php if( is_active_sidebar( 'sidebar-2' ) ) { ?>
            <div class="row">
    			<div class="col-lg-9 pr-70">
        			<div class="post-items style-2">
                		<div class="row masonry">
                        <?php get_template_part( 'loop' ); ?>
                		</div>
                        <?php get_template_part( 'navigation' ); ?>
                    </div>
                </div>
                <div class="col-lg-3"><?php dynamic_sidebar( 'sidebar-2' ); ?></div>
            </div>
            <?php } else { ?>
        	<div class="post-items">
        		<div class="row masonry">
                <?php get_template_part( 'loop' ); ?>
        		</div>
                <?php get_template_part( 'navigation' ); ?>
        	</div>
            <?php } ?>
        </div>
        <?php } ?>
    </div>
</section>

<?php get_footer(); ?>