<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

if( is_search() ) {

global $wp_query;

$fastwp_horizon_query_vars = [];
$fastwp_horizon_query_vars['s'] = get_query_var( 's' );
if( !empty( $_GET['category'] ) ) {
    $fastwp_horizon_query_vars['cat'] = (int) $_GET['category'];
}
if( !empty( $_GET['author'] ) ) {
    $fastwp_horizon_query_vars['author'] = (int) $_GET['author'];
}

$wp_query = new WP_Query( $fastwp_horizon_query_vars );

}

if( have_posts() ) {

    while( have_posts() ) {

    the_post(); ?>

    <div class="col-lg-4 col-md-6 col-sm-6 grid-item<?php echo ( is_sticky() ? ' sticky-post' : '' ); ?>">
        <div class="post">
            <?php if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
            <div class="post-img">
            	<a href="<?php the_permalink(); ?>"><img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" /></a>
            	<?php echo fastwp_horizon_theme\markup::the_category(); ?>
                <?php if( get_post_format() == 'video' && ( $fastwp_horizon_video = get_post_meta( get_the_ID(), 'video', true ) ) && filter_var( $fastwp_horizon_video, FILTER_VALIDATE_URL ) ) {
                    echo '<a href="' . esc_url( $fastwp_horizon_video ) . '" class="html5lightbox video-play"><img src="' . get_template_directory_uri() . '/assets/img/play-btn.png" alt="' . esc_html__( 'play button', 'horizon' ) . '"></a>';
                } ?>
            </div>
            <?php } ?>
            <div class="post-info">
                <?php if( ! (boolean) fastwp_horizon_theme\utils::get_option( 'fwp_blog_date_meta' ) ) {
                    echo '<span class="post-date">' . get_the_date() .  '</span>';
                } ?>
            	<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php echo ( is_sticky() ? '<i class="fa fa-thumb-tack"></i>' : '' ); ?> <?php the_title(); ?></a></h3>
            	<ul class="meta">
            		<li class="aut-info">
                        <?php echo get_avatar( get_the_author_meta( 'ID' ), 30 ); ?>
            			<h4><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></h4>
            		</li>
            		<li>
            			<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo sprintf( '%s articles', count_user_posts( get_the_author_meta( 'ID' ) ) ); ?></a> 
            		</li>
            	</ul>
            </div>
        </div>
    </div>

    <?php }

    wp_reset_postdata();

} else { ?>

    <div class="col-md-12 grid-item">

        <div class="page-content pd-70">
            <h3 class="mb30"><?php _e( 'Sorry, nothing to display.', 'horizon' ); ?></h3>
            <?php get_search_form(); ?>
        </div>

    </div>

<?php } ?>
