<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

get_header();

// Start the loop.
while ( have_posts() ) :
the_post(); ?>

<section class="main-content pd-50">
    <div class="custom-container">
        <div class="page-content pd-70">
        	<div class="row">
        		<div class="col-lg-8">
        			<div <?php post_class( 'post mb-0 pb-0 br-0' ); ?>>
        				<div class="single-post-content">
                           <?php if( get_post_format() == 'gallery' ) {
                                $fastwp_horizon_slides = get_post_meta( get_the_ID(), 'gallery-images', true );
                                if( !empty( $fastwp_horizon_slides ) ) {
                                    echo '<div class="carousel3">';
                                    foreach( explode( ',', $fastwp_horizon_slides ) as $fastwp_horizon_slide ) {
                                        echo '<div class="image">
                                            <img src="' . wp_get_attachment_url( $fastwp_horizon_slide ) . '" alt="' . the_title_attribute( array( 'echo' => false ) ) . '" />
                                        </div>';
                                    }
                                    echo '</div>';
                                }
                            } else if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
        					<div class="post-img float-none">
        						<img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" />
                                <?php echo fastwp_horizon_theme\markup::the_category( 'catg-name clr2' ); ?>
                                <?php if( get_post_format() == 'video' && ( $fastwp_horizon_video = get_post_meta( get_the_ID(), 'video', true ) ) && filter_var( $fastwp_horizon_video, FILTER_VALIDATE_URL ) ) {
                                    echo '<a href="' . esc_url( $fastwp_horizon_video ) . '" class="html5lightbox video-play"><img src="' . get_template_directory_uri() . '/assets/img/play-btn.png" alt="' . esc_html__( 'play button', 'horizon' ) . '"></a>';
                                } ?>
        					</div>
                            <?php } ?>
        					<div class="post-info">
        						<h3 class="post-title"><?php the_title(); ?></h3>
                                <?php $fastwp_horizon_post_info = array();
                                if( ! (boolean) fastwp_horizon_theme\utils::get_option( 'fwp_blog_date_meta' ) ) {
                                    $fastwp_horizon_post_info[] = '<li><span>' . get_the_date() .  '</span></li>';
                                }
                                if( ( $fastwp_horizon_comments = wp_count_comments( get_the_ID() ) ) && $fastwp_horizon_comments->approved ) {
                                    $fastwp_horizon_post_info[] = '<li><span>' . sprintf( _n( '%s comment', '%s comments', $fastwp_horizon_comments->approved, 'horizon' ), number_format_i18n( $fastwp_horizon_comments->approved ) ) . '</span></li>';
                                }
                                if( !empty( $fastwp_horizon_post_info ) ) { ?>
            					<ul class="meta">
            						<?php echo implode( "\n\r", $fastwp_horizon_post_info ); ?>
            					</ul>
                                <?php } ?>
                                <div class="post-content clearfix">
                                    <?php the_content(); ?>
                                </div>
                                <?php the_tags( '<div class="tags">' . esc_html__( 'Tags: ', 'horizon' ), ' ', '</div> ' ); ?>
                                <?php wp_link_pages( array( 'before' => '<div class="navigation single-links nav-links">', 'after' => '</div>', 'link_before' => '<span>', 'link_after'  => '</span>' ) ); ?>
        					</div>
        				</div>
        				<?php if( function_exists( 'fastwp_horizon_share_links' ) ) fastwp_horizon_share_links(); ?>
        			</div>
                    <?php $fastwp_horizon_author_info = get_the_author_meta( 'description' );
                    if( !empty( $fastwp_horizon_author_info ) ) { ?>
        			<div class="post-author-info mt50">
        				<?php echo get_avatar( get_the_author_meta( 'ID' ), 70 ); ?>
        				<div class="author-info">
        					<h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_the_author_meta( 'display_name' ); ?></a></h3>
        					<p><?php echo get_the_author_meta( 'description' ); ?></p>
        					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="lnk-default"><?php esc_html_e( 'author\'s articles', 'horizon' ); ?> <i class="fa fa-caret-right"></i></a>
        				</div>
        			</div>
                    <?php } ?>
                    <?php $fastwp_horizon_rel_cats = array();
                    $fastwp_horizon_terms = get_the_terms( get_the_ID(), 'category' );
                    if( !empty( $fastwp_horizon_terms ) ) {
                        foreach( $fastwp_horizon_terms as $fastwp_horizon_term ) {
                            $fastwp_horizon_rel_cats[] = $fastwp_horizon_term->term_id;
                        }
                    }
                    $fastwp_horizon_posts = new WP_Query( array( 'posts_per_page' => 2, 'category__in' => array_values( $fastwp_horizon_rel_cats ), 'post__not_in' => array( get_the_ID() ) ) );
                    if( $fastwp_horizon_posts->have_posts() ) { ?>
        		    <div class="trending-posts mt50">
        				<h3 class="sec-title"><?php esc_html_e( 'in same category', 'horizon' ); ?></h3>
        				<div class="post-items">
        					<div class="row">
                            <?php while( $fastwp_horizon_posts->have_posts() ) {
                            $fastwp_horizon_posts->the_post(); ?>
                            <div class="col-lg-6 col-md-6 col-sm-6">
                                <div class="post">
                                    <?php if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
                                    <div class="post-img">
                                        <a href="<?php the_permalink(); ?>"><img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" /></a>
                                    </div>
                                    <?php } ?>
                                    <div class="post-info">
                                    	<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                		<ul class="meta mb0 mt10">
                                			<li class="aut-info">
                                				<?php echo get_avatar( get_the_author_meta( 'ID' ), 30 ); ?>
                                				<h4><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></h4>
                                			</li>
                                			<li>
                                				<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo sprintf( '%s articles', count_user_posts( get_the_author_meta( 'ID' ) ) ); ?></a>
                                			</li>
                                		</ul>
                                    </div>
                                </div>
                            </div>
                            <?php }
                            wp_reset_postdata(); ?>
            			    </div>
            		    </div>
                    </div>
                    <?php } ?>
                    <?php comments_template( '', true ); ?>
        		</div>
        		<div class="col-lg-4 order--1">
        			<div class="sidebar style2 pr-100">   
                        <?php get_template_part( 'sidebar' ); ?>
        			</div>
        		</div>
        	</div>
        </div>
    </div>
</section>

<?php endwhile;

get_footer(); ?>
