<?php

/* Template Name: Normal Page With Widgets */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct script access denied.' );
}

?>

<?php get_header(); ?>

<section class="main-content pd-50">
    <?php if( have_posts() ) {
    while( have_posts() ) {
        the_post(); ?>

        <div class="custom-container">
            <h2 class="pt-with-widgets-title"><?php the_title(); ?></h2>
            <div class="page-content pd-70">
            	<div class="row">
            		<div class="col-lg-8">
                        <?php if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
    					<div class="post-img float-none">
    						<img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>" />
                            <?php echo fastwp_horizon_theme\markup::the_category( 'catg-name clr2' ); ?>
    					</div>
                        <?php } ?>
                        <div class="page-text clearfix">
            				<?php the_content(); ?>
            			</div>
                        <?php if ( comments_open() ) {
                        echo '<div class="page-comments">';
                        comments_template( '', true );
                        echo '</div>';
                        } ?>
                    </div>
            		<div class="col-lg-4 order--1">
            			<div class="sidebar style2 pr-100">
                            <?php get_template_part( 'sidebar' ); ?>
            			</div>
            		</div>
                </div>
            </div>
        </div>

    <?php }
    } else { ?>

    <div class="container small">
        <article>
            <h2><?php esc_html_e( 'Sorry, nothing to display.', 'horizon' ); ?></h2>
        </article>
    </div>

    <?php } ?>

</section>

<?php get_footer(); ?>